/**
 * Copyright © 2016 Magento. All rights reserved.
 * See COPYING.txt for license details.
 */
define([
    'jquery',
    'domReady',
    'matchMedia',
    'jquery/ui'
], function ($, domReady, mediaCheck) {
    'use strict';

    $.widget('filoblu.footer', {
        options: {
            responsive: false,
            disabled: false
        },

        _create: function(){
            var self = this;

            mediaCheck({
                media: '(max-width: 991px)',
                entry: $.proxy(function () {

                }, this),
                exit: $.proxy(function () {
                    self.resetFooterAccordion()
                }, this)
            });


            $('body').on('click', '.cms-menu-wrapper .menu-title', function (e) {
                mediaCheck({
                    media: '(max-width: 991px)',
                    entry: $.proxy(function () {
                        var targetSubMenu = $(this).siblings($('.menu-list'));
                        if (targetSubMenu.hasClass('open')) {
                            targetSubMenu.stop(true,false).slideUp();
                            targetSubMenu.removeClass('open');
                            $(this).removeClass('triggered');
                        } else {
                            targetSubMenu.stop(true,false).slideDown();
                            targetSubMenu.addClass('open');
                            $(this).addClass('triggered');
                        }
                    }, this)
                });



            });



        },

        resetFooterAccordion: function() {
            var footerMenu = $('.cms-menu-wrapper .menu-list');
            footerMenu.removeAttr('style');
        }


    });

    return $.filoblu.footer;
});
